Skip to main content
`Ctrl`+`K`

# vispy.visuals.collections.raw_triangle_collection module

class vispy.visuals.collections.raw_triangle_collection.RawTriangleCollection(user_dtype=None, transform=None, vertex=None, fragment=None, **kwargs)

  Bases: `Collection`

  append(points, indices, **kwargs)

    Append a new set of vertices to the collection.

    For kwargs argument, n is the number of vertices (local) or the number of item (shared)

    Parameters:
      points np.array

        Vertices composing the triangles

      indices np.array

        Indices describing triangles

      color list, array or 4-tuple

        Path color